> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get access key

> Returns details of a specific access key for an S3-compatible storage.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/object_storage_api.yaml get /storage/v4/object_storages/{storage_id}/access_keys/{access_key}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Object Storage API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 4b5ff58882b3
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Notifications
  - name: S3-Compatible Storage
  - name: SFTP Storage
  - name: SSHKeys
  - name: Storage
  - name: Storage Locations
  - name: Storage Statistics
paths:
  /storage/v4/object_storages/{storage_id}/access_keys/{access_key}:
    get:
      tags:
        - S3-Compatible Storage
      summary: Get access key
      description: Returns details of a specific access key for an S3-compatible storage.
      operationId: getAccessKeyV4
      parameters:
        - name: storage_id
          in: path
          description: Storage ID
          required: true
          schema:
            type: integer
            format: int64
        - name: access_key
          in: path
          description: Access key to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: AccessKeyV4
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessKeyV4'
        '400':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '401':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
        '404':
          description: ErrResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrResponse'
components:
  schemas:
    AccessKeyV4:
      title: >-
        AccessKeyV4 An S3-compatible access key used to authenticate requests to
        the storage endpoint.
      required:
        - access_key
        - created_at
      type: object
      properties:
        access_key:
          type: string
          description: >-
            Access key ID used as the username in S3 authentication. Pass this
            in the `AWS_ACCESS_KEY_ID` field of your S3 client configuration.
          example: AKIAIOSFODNN7EXAMPLE
        created_at:
          type: string
          description: ISO 8601 timestamp when the access key was created
          format: date-time
          example: '2025-08-05T09:17:02Z'
    ErrResponse:
      type: object
      properties:
        error:
          type: string
      description: ErrResponse is an error response
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````